Query VIP Loan Fixed Rate Market(USER_DATA)
API Description
Query the VIP Loan fixed rate market. Returns a paginated list of fixed-rate supply orders.
HTTP Request
GET /sapi/v1/loan/vip/fixed/market
Request Weight(IP)
6000
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| loanCoin | STRING | YES | Loan coin |
| duration | INTEGER | NO | Duration in days, minimum 1 |
| current | LONG | NO | Page number, default 1, minimum 1 |
| size | LONG | NO | Page size, default 10, range [1, 100] |
| recvWindow | LONG | NO | The value cannot be greater than 60000 |
| timestamp | LONG | YES |
Response Example
{
"total": 25,
"rows": [
{
"requestId": 1234567890,
"requestNo": 100001,
"coin": "USDT",
"interestRate": "0.05",
"duration": 30,
"minimumAmount": "100",
"availableAmount": "1000000",
"estimatedInterest": "4109.59"
}
]
}
Response Fields:
| Name | Type | Description |
|---|---|---|
| total | LONG | Total number of records |
| rows | LIST | Current page data |
| » requestId | LONG | Supply request ID |
| » requestNo | LONG | Request number |
| » coin | STRING | Coin |
| » interestRate | DECIMAL | Annual interest rate |
| » duration | INTEGER | Duration in days |
| » minimumAmount | DECIMAL | Minimum borrow amount |
| » availableAmount | DECIMAL | Maximum available borrow amount |
| » estimatedInterest | DECIMAL | Estimated interest |